Skip to main content
GET
/
telephony
/
numbers
List Phone Numbers
curl --request GET \
  --url https://api.truedy.ai/api/public/v1/telephony/numbers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "number": "+18005559876",
      "country": "US",
      "capabilities": [
        "voice"
      ],
      "monthly_cost": 1.15,
      "status": "active",
      "assigned_agent_id": "agt_f9447372",
      "purchased_at": "2026-03-01T10:00:00Z"
    },
    {
      "number": "+12125550001",
      "country": "US",
      "capabilities": [
        "voice"
      ],
      "monthly_cost": 1.15,
      "status": "active",
      "assigned_agent_id": null,
      "purchased_at": "2026-03-01T10:00:00Z"
    }
  ],
  "meta": {
    "request_id": "req_32e7531c",
    "ts": "2026-04-05T10:22:00Z"
  },
  "pagination": {
    "total": 24,
    "limit": 50,
    "offset": 0,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header: Bearer <your_api_key>

Query Parameters

status
enum<string>

Filter by status

Available options:
active,
inactive,
pending
limit
integer
default:50

Maximum results per page

Required range: 1 <= x <= 100
offset
integer
default:0

Number of results to skip

Required range: x >= 0

Response

List of phone numbers

data
object[]
required
meta
object
required
pagination
object